Ce Forum passera en lecture seule en janvier 2020
Image
Merci de vous rendre sur https://community.jeedom.com maintenant pour vos prochains postes ;)

Tuto Mini plus sur SSD

Venez discuter de la box JEEDOM MINI et MINI+
jpg001
Timide
Messages : 129
Inscription : 28 août 2016, 22:44

Re: Tuto Mini plus sur SSD

Message par jpg001 » 20 avr. 2019, 10:28

Bonjour,

c'est toujours le padawan :)

Mon installation sur clé usb s'est terminée correctement sauf le demon de zwave impossible à démarrer.

Malgré tout j'ai décidé de faire mon installation sur mon nouveau ssd hier soir. Restauration du backup et je laisse passer la nuit.

Ce matin, j'obtiens ce message au démarrage :

The stream or file "/var/www/html/core/class/../../log/plugin" could not be opened: failed to open stream: Permission denied

Je ne bronche pas et décide d'écrire sur le forum. Bon ok, je sors. :lol:

Avatar de l’utilisateur
bronche
Modérateur
Messages : 973
Inscription : 07 janv. 2016, 19:29
Localisation : Du côté de Issy les Moulineaux la semaine et de Péronne le week-end...

Re: Tuto Mini plus sur SSD

Message par bronche » 20 avr. 2019, 10:32

Mais oui.
ce sont les droits qui sont pas ok !

Va sur la page de configuration de jeedom puis OS/DB puis lance l'administration et fait:

sudo chown www-data:www-data -R /var/www/html/*
Helper Officiel Jeedom
Des images non officielles jeedom maintenues et hébergées par mes soins :
https://queen.useed.fr/SB1268/owncloud/ ... mA9xeSgBgx

jpg001
Timide
Messages : 129
Inscription : 28 août 2016, 22:44

Re: Tuto Mini plus sur SSD

Message par jpg001 » 20 avr. 2019, 13:51

Merci, problème apparemment solutionné.

jpg001
Timide
Messages : 129
Inscription : 28 août 2016, 22:44

Re: Tuto Mini plus sur SSD

Message par jpg001 » 21 avr. 2019, 09:12

Bonjour.

Problème avec zwave.
À l'ouverture du plugin : "impossible de contacter le serveur de zwave".
Au démarrage les dépendances étaient ok, mais impossible de démarrer le demon qui ne l'était pas. Version automatique activée.

exemple de message fourni par un accessoire :

Echec de la requête http :

Code : Tout sélectionner

http://127.0.0.1:8083/node?node_id=20&instance_id=1&cc_id=38&index=0&type=setvalue&value=30&apikey=xxxxxxxxxxxxxxxxxxx Curl error : Failed to connect to 127.0.0.1 port 8083: Connection refused
J'ai cherché sur le forum et le net mais je n'ai rien trouvé d'interessant.

Je joins le fichier debug.

Merci.
jeedom5.jpg
jeedom5.jpg (54.09 Kio) Consulté 657 fois
jeedom6.jpg
jeedom6.jpg (81.94 Kio) Consulté 657 fois
Dernière édition par jpg001 le 26 avr. 2019, 20:10, édité 1 fois.

Avatar de l’utilisateur
bronche
Modérateur
Messages : 973
Inscription : 07 janv. 2016, 19:29
Localisation : Du côté de Issy les Moulineaux la semaine et de Péronne le week-end...

Re: Tuto Mini plus sur SSD

Message par bronche » 21 avr. 2019, 09:50

Bonjour,
Tes dépendances ne sont pas correctement installées.
Relance les.
Phil
Helper Officiel Jeedom
Des images non officielles jeedom maintenues et hébergées par mes soins :
https://queen.useed.fr/SB1268/owncloud/ ... mA9xeSgBgx

Grandseb
Timide
Messages : 21
Inscription : 31 mai 2015, 10:06

Re: Tuto Mini plus sur SSD

Message par Grandseb » 23 avr. 2019, 05:25

Bonjour. Petite question. J'ai suivi le tuto il y a 3 mois. Tout s'est bien passé. Et tout tourne bien. Depuis peu j'ai voulu changer ma carte razberry d'origine de ma mini plus, par la razberry v2. Si je mets ma carte jeedom ne démarre pas. Sans carte aucun problème. Je mets ma carte à chaud et le contrôle zwave fonctionne.
Aussi je me demande s'il serait possible que cette nouvelle carte intervienne avant le boot sur le est ce qui pourrait expliquer que jeedom ne démarre pas. Ou y aurait-il une manip à faire suite au changement de carte zwave ? Faire une reinstall complète avec la razberry v2 ? Je suis preneur de toute piste. D'autant qu'une fois la razberry v2 plugée a chaud si je redémarre jeedom, ça redémarre. Le problème ne vient qu'après arrêt complet de Jeedom.
Jeedom Mini+, 2 modules dimmer Benext, 1 module dimmer Qubino

Avatar de l’utilisateur
bronche
Modérateur
Messages : 973
Inscription : 07 janv. 2016, 19:29
Localisation : Du côté de Issy les Moulineaux la semaine et de Péronne le week-end...

Re: Tuto Mini plus sur SSD

Message par bronche » 23 avr. 2019, 08:24

Grandseb a écrit :
23 avr. 2019, 05:25
Bonjour. Petite question. J'ai suivi le tuto il y a 3 mois. Tout s'est bien passé. Et tout tourne bien. Depuis peu j'ai voulu changer ma carte razberry d'origine de ma mini plus, par la razberry v2. Si je mets ma carte jeedom ne démarre pas. Sans carte aucun problème. Je mets ma carte à chaud et le contrôle zwave fonctionne.
Aussi je me demande s'il serait possible que cette nouvelle carte intervienne avant le boot sur le est ce qui pourrait expliquer que jeedom ne démarre pas. Ou y aurait-il une manip à faire suite au changement de carte zwave ? Faire une reinstall complète avec la razberry v2 ? Je suis preneur de toute piste. D'autant qu'une fois la razberry v2 plugée a chaud si je redémarre jeedom, ça redémarre. Le problème ne vient qu'après arrêt complet de Jeedom.
Bonjour ,
Désolé je ne comprends absolument rien à ta question :roll:
J'ai voulu changer ma carte d'origine rasberry ? rasberry V2 ? plugé à chaud ? Tu parles de quoi ? :shock:
Ici c'est un fil sur la mini-plus hummingboard solid-run.
Phil
Helper Officiel Jeedom
Des images non officielles jeedom maintenues et hébergées par mes soins :
https://queen.useed.fr/SB1268/owncloud/ ... mA9xeSgBgx

Grandseb
Timide
Messages : 21
Inscription : 31 mai 2015, 10:06

Re: Tuto Mini plus sur SSD

Message par Grandseb » 23 avr. 2019, 13:22

Ha désolé de ne pas avoir été clair.
J'ai donc changé ma carte zwave (la razberry) de la mini +. Et depuis la mini plus ne démarre pas (sauf si je démarre sans la carte zwave et que je connecte cette dernière sur le port GPIO quand la mini plus est démarrée.)
Comme j'avais suivi le tuto il y a quelques mois, je me demande si le fait d'avoir changeé la carte contrôleur Zwave influence le démarrage et notamment le boot sur le ssd ? Car j'ai l'impression que ça l'empêche de booter. Est-ce plus compréhensible comme ça ?
Jeedom Mini+, 2 modules dimmer Benext, 1 module dimmer Qubino

Boboss
Timide
Messages : 217
Inscription : 31 déc. 2014, 11:33

Re: Tuto Mini plus sur SSD

Message par Boboss » 24 avr. 2019, 00:36

Bonsoir

Peut-on installer la version : image pour humingboard Mini plus - Strech - apache 2 / mariadb et Jeedom 3.3.19 sur un ssd ?

Mais on ne peut pas booter sur l'USB. Il faut obligatoirement une SD.

Ai je bien compris ?

Peut on l'installer sur un autre matériel, NAS ?...

Merci pour vos réponses ?
Boboss

Avatar de l’utilisateur
bronche
Modérateur
Messages : 973
Inscription : 07 janv. 2016, 19:29
Localisation : Du côté de Issy les Moulineaux la semaine et de Péronne le week-end...

Re: Tuto Mini plus sur SSD

Message par bronche » 24 avr. 2019, 12:01

Boboss a écrit :
24 avr. 2019, 00:36
Bonsoir

Peut-on installer la version : image pour humingboard Mini plus - Strech - apache 2 / mariadb et Jeedom 3.3.19 sur un ssd ?

Mais on ne peut pas booter sur l'USB. Il faut obligatoirement une SD.

Ai je bien compris ?

Peut on l'installer sur un autre matériel, NAS ?...

Merci pour vos réponses ?
Bonjour
Non, non et non :P
Cette version n'est pas compatible USB.
Pour le Boot il te faudra toujours la SD, la mini est incapable de booter sur USB.
Il faudra toujours commencer par une installation sur SD puis faire un transfert. Seule la version Jessie fonctionne ainsi.
Bref, lire le lisez-moi.
Phil
Helper Officiel Jeedom
Des images non officielles jeedom maintenues et hébergées par mes soins :
https://queen.useed.fr/SB1268/owncloud/ ... mA9xeSgBgx

PHDB
Timide
Messages : 298
Inscription : 01 mars 2016, 13:42

Re: Tuto Mini plus sur SSD

Message par PHDB » 24 avr. 2019, 20:37

bronche a écrit :
03 avr. 2019, 18:16
Bonsoir,
J'avais pas compris que c'était une question :D

Tu commences par restaurer ton Backup, ca mettra le core sur la version de ton backup.
Ensuite tu upgrades
Puis tu remets tes fichiers.
Bonsoir, une question avant de me lancer. Dans le Lisez-moi cette phrase me chifonne "Si vous restaurez une sauvegarde, vous devez choisir une version identique à votre sauvegarde. (1er et 2ème chiffre identique à votre backup) : 3.2 X ou 3.1 X"

Si je prends l'image Mini+ compatible USB (donc v 3.1.7), pourrais je restaurer ma sauvegarde 3.3.21 sans probleme une fois la procedure finie?

Et question pratique: comment tu accedes a ton disque USB en te connectant en SSH (pour y mettre ma sauvegarde via pscp depuis Windows notamment et mes autres fichier media)? Par defaut tu arrives sur l'arborescence de la carte SD non?

Avatar de l’utilisateur
bronche
Modérateur
Messages : 973
Inscription : 07 janv. 2016, 19:29
Localisation : Du côté de Issy les Moulineaux la semaine et de Péronne le week-end...

Re: Tuto Mini plus sur SSD

Message par bronche » 25 avr. 2019, 08:26

Bonjour,
Pour la version, en fait cela ne pose pas de problème quelque soit la version. Je vais corriger cela. En effet le core est dans le backup, donc on s'en fout.
Pour ta sauvegarde, tu n'as pas besoin de passer par SSH. Tu chosis Sauvegarde, envoyer une sauvegarde. ensuite tu la verras apparaître dans la liste déroulante.
Amitiés
Phil
Helper Officiel Jeedom
Des images non officielles jeedom maintenues et hébergées par mes soins :
https://queen.useed.fr/SB1268/owncloud/ ... mA9xeSgBgx

PHDB
Timide
Messages : 298
Inscription : 01 mars 2016, 13:42

Re: Tuto Mini plus sur SSD

Message par PHDB » 25 avr. 2019, 16:51

OK. Je me suis lance. Ca a l'air plus ou moins ok
J'ai plusieurs demon qui etaient en erreur

En voulant relancer le demon Broadlink a la main, pour voir, j'ai eu

Code : Tout sélectionner

The stream or file "/var/www/html/core/class/../../log/broadlink" could not be opened: failed to open stream: Permission denied
Ca ressemblait a un souci mentionne plus haut donc j'ai fait via SSH
sudo chown www-data:www-data -R /var/www/html/*
Ca a l'air d'avoir aide un peu, notamment j'ai plus de log que je n'en avais avant (4-5 menu/tabs/rubriques seulement initialement - cf image).
logs.jpg
logs.jpg (18.75 Kio) Consulté 520 fois
Config reseau externe est NOK mais ca prend souvent du temps a revenir OK. Wait and see

J'avais plusieurs plugin en error (demons NOK) mais en relancant les dependances puis le demon, c'est OK: Dashbutton, Googlecast, Broadlink notamment.

Reste 3 probleme
1- J'ai toujours mon demon Openzwave en NOK c'est un peu genant

Quand je vais dans la gestion du plugin j'ai le message dans un bandeau rouge "Impossible de contacter le serveur Z-wave"

Quand je clique sur Sante dan Zwave j'ai "Echec de la requête http : http://127.0.0.1:8083/network?type=info ... ey=API_KEY Curl error : Failed to connect to 127.0.0.1 port 8083: Connection refused"

Logs openzwave

Code : Tout sélectionner

Traceback (most recent call last):
File "/var/www/html/plugins/openzwave/core/class/../../resources/openzwaved/openzwaved.py", line 18, in <module>
from ozwave import globals,server_utils,rest_server
File "/var/www/html/plugins/openzwave/resources/openzwaved/ozwave/globals.py", line 1, in <module>
import utils,network_utils,controller_utils,node_utils
File "/var/www/html/plugins/openzwave/resources/openzwaved/ozwave/utils.py", line 6, in <module>
import network_utils
File "/var/www/html/plugins/openzwave/resources/openzwaved/ozwave/network_utils.py", line 5, in <module>
import globals,utils,dispatcher_utils,serialization,node_utils
File "/var/www/html/plugins/openzwave/resources/openzwaved/ozwave/dispatcher_utils.py", line 4, in <module>
import network_utils,node_utils,value_utils,scene_utils,controller_utils
File "/var/www/html/plugins/openzwave/resources/openzwaved/ozwave/node_utils.py", line 5, in <module>
from lxml import etree
ImportError: No module named lxml
[2019-04-25 20:07:10][ERROR] : Impossible de lancer le démon openzwave, relancer le démon en debug et vérifiez la log
Traceback (most recent call last):
File "/var/www/html/plugins/openzwave/core/class/../../resources/openzwaved/openzwaved.py", line 18, in <module>
from ozwave import globals,server_utils,rest_server
File "/var/www/html/plugins/openzwave/resources/openzwaved/ozwave/globals.py", line 1, in <module>
import utils,network_utils,controller_utils,node_utils
File "/var/www/html/plugins/openzwave/resources/openzwaved/ozwave/utils.py", line 6, in <module>
import network_utils
File "/var/www/html/plugins/openzwave/resources/openzwaved/ozwave/network_utils.py", line 5, in <module>
import globals,utils,dispatcher_utils,serialization,node_utils
File "/var/www/html/plugins/openzwave/resources/openzwaved/ozwave/dispatcher_utils.py", line 4, in <module>
import network_utils,node_utils,value_utils,scene_utils,controller_utils
File "/var/www/html/plugins/openzwave/resources/openzwaved/ozwave/node_utils.py", line 5, in <module>
from lxml import etree
ImportError: No module named lxml
[2019-04-25 20:10:17][ERROR] : Impossible de lancer le démon openzwave, relancer le démon en debug et vérifiez la log
Traceback (most recent call last):
File "/var/www/html/plugins/openzwave/core/class/../../resources/openzwaved/openzwaved.py", line 18, in <module>
from ozwave import globals,server_utils,rest_server
File "/var/www/html/plugins/openzwave/resources/openzwaved/ozwave/globals.py", line 1, in <module>
import utils,network_utils,controller_utils,node_utils
File "/var/www/html/plugins/openzwave/resources/openzwaved/ozwave/utils.py", line 6, in <module>
import network_utils
File "/var/www/html/plugins/openzwave/resources/openzwaved/ozwave/network_utils.py", line 5, in <module>
import globals,utils,dispatcher_utils,serialization,node_utils
File "/var/www/html/plugins/openzwave/resources/openzwaved/ozwave/dispatcher_utils.py", line 4, in <module>
import network_utils,node_utils,value_utils,scene_utils,controller_utils
File "/var/www/html/plugins/openzwave/resources/openzwaved/ozwave/node_utils.py", line 5, in <module>
from lxml import etree
ImportError: No module named lxml
[2019-04-25 20:13:17][ERROR] : Impossible de lancer le démon openzwave, relancer le démon en debug et vérifiez la log
Traceback (most recent call last):
File "/var/www/html/plugins/openzwave/core/class/../../resources/openzwaved/openzwaved.py", line 18, in <module>
from ozwave import globals,server_utils,rest_server
File "/var/www/html/plugins/openzwave/resources/openzwaved/ozwave/globals.py", line 1, in <module>
import utils,network_utils,controller_utils,node_utils
File "/var/www/html/plugins/openzwave/resources/openzwaved/ozwave/utils.py", line 6, in <module>
import network_utils
File "/var/www/html/plugins/openzwave/resources/openzwaved/ozwave/network_utils.py", line 5, in <module>
import globals,utils,dispatcher_utils,serialization,node_utils
File "/var/www/html/plugins/openzwave/resources/openzwaved/ozwave/dispatcher_utils.py", line 4, in <module>
import network_utils,node_utils,value_utils,scene_utils,controller_utils
File "/var/www/html/plugins/openzwave/resources/openzwaved/ozwave/node_utils.py", line 5, in <module>
from lxml import etree
ImportError: No module named lxml
[2019-04-25 20:18:01][ERROR] : Impossible de lancer le démon openzwave, relancer le démon en debug et vérifiez la log
Apres avoir relance les dependances zwave le message change un peu mais le demon est toujours NOK

Code : Tout sélectionner

[2019-04-25 20:50:49][ERROR] : Attention je pense qu'il y a un soucis avec le démon que j'ai relancé plus de 3 fois consecutivement
Traceback (most recent call last):
File "/var/www/html/plugins/openzwave/core/class/../../resources/openzwaved/openzwaved.py", line 18, in <module>
from ozwave import globals,server_utils,rest_server
File "/var/www/html/plugins/openzwave/resources/openzwaved/ozwave/globals.py", line 1, in <module>
import utils,network_utils,controller_utils,node_utils
File "/var/www/html/plugins/openzwave/resources/openzwaved/ozwave/utils.py", line 6, in <module>
import network_utils
File "/var/www/html/plugins/openzwave/resources/openzwaved/ozwave/network_utils.py", line 5, in <module>
import globals,utils,dispatcher_utils,serialization,node_utils
File "/var/www/html/plugins/openzwave/resources/openzwaved/ozwave/dispatcher_utils.py", line 8, in <module>
print(globals.MSG_CHECK_DEPENDENCY, 'error')
AttributeError: 'module' object has no attribute 'MSG_CHECK_DEPENDENCY'
[2019-04-25 20:51:26][ERROR] : Impossible de lancer le démon openzwave, relancer le démon en debug et vérifiez la log
[2019-04-25 20:55:17][ERROR] : Attention je pense qu'il y a un soucis avec le démon que j'ai relancé plus de 3 fois consecutivement
Traceback (most recent call last):
File "/var/www/html/plugins/openzwave/core/class/../../resources/openzwaved/openzwaved.py", line 18, in <module>
from ozwave import globals,server_utils,rest_server
File "/var/www/html/plugins/openzwave/resources/openzwaved/ozwave/globals.py", line 1, in <module>
import utils,network_utils,controller_utils,node_utils
File "/var/www/html/plugins/openzwave/resources/openzwaved/ozwave/utils.py", line 6, in <module>
import network_utils
File "/var/www/html/plugins/openzwave/resources/openzwaved/ozwave/network_utils.py", line 5, in <module>
import globals,utils,dispatcher_utils,serialization,node_utils
File "/var/www/html/plugins/openzwave/resources/openzwaved/ozwave/dispatcher_utils.py", line 8, in <module>
print(globals.MSG_CHECK_DEPENDENCY, 'error')
AttributeError: 'module' object has no attribute 'MSG_CHECK_DEPENDENCY'
[2019-04-25 20:55:53][ERROR] : Impossible de lancer le démon openzwave, relancer le démon en debug et vérifiez la log
[2019-04-25 21:21:42][ERROR] : Attention je pense qu'il y a un soucis avec le démon que j'ai relancé plus de 3 fois consecutivement
('The dependency of openzwave plugin are not installed. Please check the plugin openzwave configuration page for instructions', 'error')
('Error: invalid syntax (web.py, line 205)', 'error')
[2019-04-25 21:22:16][ERROR] : Impossible de lancer le démon openzwave, relancer le démon en debug et vérifiez la log
[2019-04-25 21:25:15][ERROR] : Attention je pense qu'il y a un soucis avec le démon que j'ai relancé plus de 3 fois consecutivement
('The dependency of openzwave plugin are not installed. Please check the plugin openzwave configuration page for instructions', 'error')
('Error: invalid syntax (web.py, line 205)', 'error')
[2019-04-25 21:25:51][ERROR] : Impossible de lancer le démon openzwave, relancer le démon en debug et vérifiez la log
[2019-04-25 21:30:25][ERROR] : Attention je pense qu'il y a un soucis avec le démon que j'ai relancé plus de 3 fois consecutivement
('The dependency of openzwave plugin are not installed. Please check the plugin openzwave configuration page for instructions', 'error')
('Error: invalid syntax (web.py, line 205)', 'error')
[2019-04-25 21:31:03][ERROR] : Impossible de lancer le démon openzwave, relancer le démon en debug et vérifiez la log
[2019-04-25 21:35:15][ERROR] : Attention je pense qu'il y a un soucis avec le démon que j'ai relancé plus de 3 fois consecutivement
('The dependency of openzwave plugin are not installed. Please check the plugin openzwave configuration page for instructions', 'error')
('Error: invalid syntax (web.py, line 205)', 'error')
[2019-04-25 21:35:51][ERROR] : Impossible de lancer le démon openzwave, relancer le démon en debug et vérifiez la log

2- meme si c'est un peu cosmetique j'ai pas mal d'images qu'il me manque dans mes equipements dans les plugins eux-memes (Pushbullet, Dashbutton, App mobile, PlayTTS notamment). Une idee comment resoudre ca?
img.jpg
img.jpg (29.47 Kio) Consulté 520 fois
EDIT: en cherchant, je vois que pour App mobile par ex, il cherche a afficher l'icon avec le chemin <IP>/plugins/mobile/docs/images/mobile_icon.png alors qu'elle est dans <IP>/plugins/mobile/plugin_info/mobile_icon.png
Comment ca se fait? Pour certains plugins ca marche, pour d'autres non.
Bien sur je peux sans doute copier les images la ou il les cherche, mais c'est etrange non?

3-Enfin, j'ai voulu faire un "sudo apt-get update" mais j'ai eu a la fin

Code : Tout sélectionner

W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: https://repo.solid-build.xyz ./ Release: The following signatures were invalid: KEYEXPIRED 1508672008
J'ai ensuite fait

Code : Tout sélectionner

sudo curl https://repo.solid-build.xyz/debian/jessie/bsp-imx6/Release.key | sudo apt-key add –
mais j'ai toujours une erreur

Code : Tout sélectionner

W: Failed to fetch http://httpredir.debian.org/debian/dists/jessie-updates/InRelease  Unable to find expected entry 'main/source/Sources' in Release file (Wrong sources.list entry or malformed file)

E: Some index files failed to download. They have been ignored, or old ones used instead.
-> Que faire?

Merci !

PHDB
Timide
Messages : 298
Inscription : 01 mars 2016, 13:42

Re: Tuto Mini plus sur SSD

Message par PHDB » 26 avr. 2019, 19:13

Sur differents posts ailleurs qui parlent d'erreur demons Zwave on parle de pb python, pip et de migrer a Strech...
J'ai comme l'impression que j'ai applique cette procedure pas au meilleur moment (a savoir qd Jessie commence a etre a la limite pour Jeedom 3.3x)...
La reutilisation de ma carte SD n'est pas loin je pense, dommage je n'etais pas loin, il ne manque "que" Zwave :(

jpg001
Timide
Messages : 129
Inscription : 28 août 2016, 22:44

Re: Tuto Mini plus sur SSD

Message par jpg001 » 26 avr. 2019, 20:13

bronche a écrit :
21 avr. 2019, 09:50
Bonjour,
Tes dépendances ne sont pas correctement installées.
Relance les.
Phil
Bonjour,

je les ai relancées et encore relancées, ça ne change rien.

Je pense être dans le même cas que PHDB.

Merci

Avatar de l’utilisateur
bronche
Modérateur
Messages : 973
Inscription : 07 janv. 2016, 19:29
Localisation : Du côté de Issy les Moulineaux la semaine et de Péronne le week-end...

Re: Tuto Mini plus sur SSD

Message par bronche » 27 avr. 2019, 10:27

Bonjour,
je ne comprends pas et en général ça m'agace :o
Je viens de ressortir ma mini + , gravure de mon image jessie. Installation du plugin Zwave et ensuite restauration.
Le message sur la signature (que j'obtiens également) n'est absolument pas bloquant !
C'est extrêmement long mais ça fonctionne parfaitement.
Finished processing dependencies for openzwave==0.3.1
Installation of API finished.
Created symlink from /etc/systemd/system/serial-getty@ttymxc0.service to /dev/null.
Everything is successfully installed!
Donc rien à voir avec mes images qui fonctionnent !!!!


Phil
Helper Officiel Jeedom
Des images non officielles jeedom maintenues et hébergées par mes soins :
https://queen.useed.fr/SB1268/owncloud/ ... mA9xeSgBgx

PHDB
Timide
Messages : 298
Inscription : 01 mars 2016, 13:42

Re: Tuto Mini plus sur SSD

Message par PHDB » 27 avr. 2019, 10:51

Et tu conseilles de faire quoi? Je vois ailleurs des suggestions sur python et pip a mettre jour mais je ne veux pas m'aventurer avant de comprendre. Par ex

Code : Tout sélectionner

pip install --upgrade setuptools
python -m pip install --upgrade pip
python3 -m pip install --upgrade pip
Moi j'ai suivi la procedure a la lettre, pas de souci particulier.
Par contre j'ai restaure direct ma sauvegarde 3.3.21 sans installer le plugin Zwave avant (comme tu l'as fait). Tu penses que ca joue?

Donc apres avoir remis ma sauvegarde, j'ai mis a jour les dependances Zawave qui semblent ok a la lecture des logs ci-dessous mis a part a une chose sur python (comme par hasard) dont je ne sais pas interpreter la gravite
"File "build/bdist.linux-x86_64/egg/setuptools_scm/integration.py", line 10, in version_keyword
File "build/bdist.linux-x86_64/egg/setuptools_scm/version.py", line 66, in _warn_if_setuptools_outdated
setuptools_scm.version.SetuptoolsOutdatedWarning: your setuptools is too old (<12)
Complete output from command python setup.py egg_info:
/usr/lib/python2.7/distutils/dist.py:267: UserWarning: Unknown distribution option: 'python_requires'
warnings.warn(msg)"

Code : Tout sélectionner

/usr/lib/python2.7/distutils/dist.py:267: UserWarning: Unknown distribution option: 'python_requires'
warnings.warn(msg)
building 'coverage.tracer' extension
arm-linux-gnueabihf-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -fno-strict-aliasing -D_FORTIFY_SOURCE=2 -g -fstack-protector-strong -Wformat -Werror=format-security -fPIC -I/usr/include/python2.7 -c coverage/ctracer/datastack.c -o build/temp.linux-armv7l-2.7/coverage/ctracer/datastack.o
arm-linux-gnueabihf-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -fno-strict-aliasing -D_FORTIFY_SOURCE=2 -g -fstack-protector-strong -Wformat -Werror=format-security -fPIC -I/usr/include/python2.7 -c coverage/ctracer/filedisp.c -o build/temp.linux-armv7l-2.7/coverage/ctracer/filedisp.o
arm-linux-gnueabihf-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -fno-strict-aliasing -D_FORTIFY_SOURCE=2 -g -fstack-protector-strong -Wformat -Werror=format-security -fPIC -I/usr/include/python2.7 -c coverage/ctracer/module.c -o build/temp.linux-armv7l-2.7/coverage/ctracer/module.o
arm-linux-gnueabihf-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -fno-strict-aliasing -D_FORTIFY_SOURCE=2 -g -fstack-protector-strong -Wformat -Werror=format-security -fPIC -I/usr/include/python2.7 -c coverage/ctracer/tracer.c -o build/temp.linux-armv7l-2.7/coverage/ctracer/tracer.o
arm-linux-gnueabihf-gcc -pthread -shared -Wl,-O1 -Wl,-Bsymbolic-functions -Wl,-z,relro -fno-strict-aliasing -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -D_FORTIFY_SOURCE=2 -g -fstack-protector-strong -Wformat -Werror=format-security -Wl,-z,relro -D_FORTIFY_SOURCE=2 -g -fstack-protector-strong -Wformat -Werror=format-security build/temp.linux-armv7l-2.7/coverage/ctracer/datastack.o build/temp.linux-armv7l-2.7/coverage/ctracer/filedisp.o build/temp.linux-armv7l-2.7/coverage/ctracer/module.o build/temp.linux-armv7l-2.7/coverage/ctracer/tracer.o -o build/lib.linux-armv7l-2.7/coverage/tracer.so
warning: no previously-included files found matching 'ci/appveyor.token'
no previously-included directories found matching 'doc/_build'
no previously-included directories found matching 'tests/eggsrc/build'
no previously-included directories found matching 'tests/eggsrc/dist'
no previously-included directories found matching 'tests/eggsrc/*.egg-info'
warning: no previously-included files matching '*.py[co]' found anywhere in distribution
Installing coverage2 script to /usr/local/bin
Installing coverage-2.7 script to /usr/local/bin
Installing coverage script to /usr/local/bin
Successfully installed coverage
Cleaning up...
pip install nose
Requirement already satisfied (use --upgrade to upgrade): nose in /usr/lib/python2.7/dist-packages
Cleaning up...
pip install pylint
Downloading/unpacking pylint
Running setup.py (path:/tmp/pip-build-Jx7SDc/pylint/setup.py) egg_info for package pylint
/usr/lib/python2.7/distutils/dist.py:267: UserWarning: Unknown distribution option: 'python_requires'
warnings.warn(msg)
Traceback (most recent call last):
File "<string>", line 17, in <module>
File "/tmp/pip-build-Jx7SDc/pylint/setup.py", line 177, in <module>
install()
File "/tmp/pip-build-Jx7SDc/pylint/setup.py", line 174, in install
**kwargs)
File "/usr/lib/python2.7/distutils/core.py", line 111, in setup
_setup_distribution = dist = klass(attrs)
File "/usr/lib/python2.7/dist-packages/setuptools/dist.py", line 262, in __init__
self.fetch_build_eggs(attrs['setup_requires'])
File "/usr/lib/python2.7/dist-packages/setuptools/dist.py", line 287, in fetch_build_eggs
replace_conflicting=True,
File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 631, in resolve
dist = best[req.key] = env.best_match(req, ws, installer)
File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 874, in best_match
return self.obtain(req, installer)
File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 886, in obtain
return installer(requirement)
File "/usr/lib/python2.7/dist-packages/setuptools/dist.py", line 338, in fetch_build_egg
return cmd.easy_install(req)
File "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line 636, in easy_install
return self.install_item(spec, dist.location, tmpdir, deps)
File "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line 666, in install_item
dists = self.install_eggs(spec, download, tmpdir)
File "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line 856, in install_eggs
return self.build_and_install(setup_script, setup_base)
File "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line 1078, in build_and_install
self.run_setup(setup_script, setup_base, args)
File "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line 1063, in run_setup
run_setup(setup_script, args)
File "/usr/lib/python2.7/dist-packages/setuptools/sandbox.py", line 68, in run_setup
DirectorySandbox(setup_dir).run(runner)
File "/usr/lib/python2.7/dist-packages/setuptools/sandbox.py", line 114, in run
return func()
File "/usr/lib/python2.7/dist-packages/setuptools/sandbox.py", line 67, in runner
_execfile(setup_script, ns)
File "/usr/lib/python2.7/dist-packages/setuptools/sandbox.py", line 43, in _execfile
exec(code, globals, locals)
File "/tmp/easy_install-be5uhr/pytest-runner-4.4/setup.py", line 76, in <module>
File "/usr/lib/python2.7/distutils/core.py", line 111, in setup
_setup_distribution = dist = klass(attrs)
File "/usr/lib/python2.7/dist-packages/setuptools/dist.py", line 266, in __init__
_Distribution.__init__(self,attrs)
File "/usr/lib/python2.7/distutils/dist.py", line 287, in __init__
self.finalize_options()
File "/usr/lib/python2.7/dist-packages/setuptools/dist.py", line 301, in finalize_options
ep.load()(self, ep.name, value)
File "build/bdist.linux-x86_64/egg/setuptools_scm/integration.py", line 10, in version_keyword
File "build/bdist.linux-x86_64/egg/setuptools_scm/version.py", line 66, in _warn_if_setuptools_outdated
setuptools_scm.version.SetuptoolsOutdatedWarning: your setuptools is too old (<12)
Complete output from command python setup.py egg_info:
/usr/lib/python2.7/distutils/dist.py:267: UserWarning: Unknown distribution option: 'python_requires'
warnings.warn(msg)
Traceback (most recent call last):
File "<string>", line 17, in <module>
File "/tmp/pip-build-Jx7SDc/pylint/setup.py", line 177, in <module>
install()
File "/tmp/pip-build-Jx7SDc/pylint/setup.py", line 174, in install
**kwargs)
File "/usr/lib/python2.7/distutils/core.py", line 111, in setup
_setup_distribution = dist = klass(attrs)
File "/usr/lib/python2.7/dist-packages/setuptools/dist.py", line 262, in __init__
self.fetch_build_eggs(attrs['setup_requires'])
File "/usr/lib/python2.7/dist-packages/setuptools/dist.py", line 287, in fetch_build_eggs
replace_conflicting=True,
File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 631, in resolve
dist = best[req.key] = env.best_match(req, ws, installer)
File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 874, in best_match
return self.obtain(req, installer)
File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 886, in obtain
return installer(requirement)
File "/usr/lib/python2.7/dist-packages/setuptools/dist.py", line 338, in fetch_build_egg
return cmd.easy_install(req)
File "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line 636, in easy_install
return self.install_item(spec, dist.location, tmpdir, deps)
File "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line 666, in install_item
dists = self.install_eggs(spec, download, tmpdir)
File "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line 856, in install_eggs
return self.build_and_install(setup_script, setup_base)
File "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line 1078, in build_and_install
self.run_setup(setup_script, setup_base, args)
File "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line 1063, in run_setup
run_setup(setup_script, args)
File "/usr/lib/python2.7/dist-packages/setuptools/sandbox.py", line 68, in run_setup
DirectorySandbox(setup_dir).run(runner)
File "/usr/lib/python2.7/dist-packages/setuptools/sandbox.py", line 114, in run
return func()
File "/usr/lib/python2.7/dist-packages/setuptools/sandbox.py", line 67, in runner
_execfile(setup_script, ns)
File "/usr/lib/python2.7/dist-packages/setuptools/sandbox.py", line 43, in _execfile
exec(code, globals, locals)
File "/tmp/easy_install-be5uhr/pytest-runner-4.4/setup.py", line 76, in <module>
File "/usr/lib/python2.7/distutils/core.py", line 111, in setup
_setup_distribution = dist = klass(attrs)
File "/usr/lib/python2.7/dist-packages/setuptools/dist.py", line 266, in __init__
_Distribution.__init__(self,attrs)
File "/usr/lib/python2.7/distutils/dist.py", line 287, in __init__
self.finalize_options()
File "/usr/lib/python2.7/dist-packages/setuptools/dist.py", line 301, in finalize_options
ep.load()(self, ep.name, value)
File "build/bdist.linux-x86_64/egg/setuptools_scm/integration.py", line 10, in version_keyword
File "build/bdist.linux-x86_64/egg/setuptools_scm/version.py", line 66, in _warn_if_setuptools_outdated
setuptools_scm.version.SetuptoolsOutdatedWarning: your setuptools is too old (<12)
----------------------------------------
Cleaning up...
Command python setup.py egg_info failed with error code 1 in /tmp/pip-build-Jx7SDc/pylint
Storing debug log for failure in /root/.pip/pip.log
Makefile:159: recipe for target 'tests-deps' failed
make: *** [tests-deps] Error 1
sed -i -e '253s/.*//' openzwave/cpp/src/value_classes/ValueID.h
cd openzwave && make
make[1]: Entering directory '/opt/python-openzwave/openzwave'
CPPFLAGS= make -C /opt/python-openzwave/openzwave/cpp/build/ -w
make[2]: Entering directory '/opt/python-openzwave/openzwave/cpp/build'
Building OpenZWave Version 1.4.-1
Building tinystr.o
Building tinyxmlerror.o
Building tinyxml.o
Building tinyxmlparser.o
Building hid.o
Building aeskey.o
Building aescrypt.o
Building aestab.o
Building aes_modes.o
Building Proprietary.o
Building Basic.o
Building CentralScene.o
Building BasicWindowCovering.o
Building SensorBinary.o
Building SwitchMultilevel.o
Building Color.o
Building ZWavePlusInfo.o
Building Indicator.o
Building MultiInstance.o
Building Language.o
Building ManufacturerSpecific.o
Building DoorLockLogging.o
Building SwitchBinary.o
Building MultiChannelAssociation.o
Building Configuration.o
Building ControllerReplication.o
Building SwitchToggleBinary.o
Building SensorMultilevel.o
Building TimeParameters.o
Building UserCode.o
Building SensorAlarm.o
Building DeviceResetLocally.o
Building ApplicationStatus.o
Building BarrierOperator.o
Building ThermostatFanState.o
Building Association.o
Building DoorLock.o
Building Hail.o
Building ClimateControlSchedule.o
Building Protection.o
Building ThermostatOperatingState.o
Building NodeNaming.o
Building WakeUp.o
Building ManufacturerProprietary.o
Building Lock.o
Building SwitchAll.o
Building MultiCmd.o
Building SceneActivation.o
Building Powerlevel.o
Building AssociationCommandConfiguration.o
Building Battery.o
Building ThermostatFanMode.o
Building CRC16Encap.o
Building SoundSwitch.o
Building Version.o
Building MeterPulse.o
Building Meter.o
Building Clock.o
Building Alarm.o
Building CommandClasses.o
Building ThermostatSetpoint.o
Building NoOperation.o
Building EnergyProduction.o
Building CommandClass.o
Building Security.o
Building ThermostatMode.o
Building SwitchToggleMultilevel.o
Building Value.o
Building ValueList.o
Building ValueButton.o
Building ValueInt.o
Building ValueStore.o
Building ValueDecimal.o
Building ValueRaw.o
Building ValueString.o
Building ValueByte.o
Building ValueBool.o
Building ValueSchedule.o
Building ValueShort.o
Building Controller.o
Building Wait.o
Building Thread.o
Building Stream.o
Building Log.o
Building HidController.o
Building Mutex.o
Building SerialController.o
Building Event.o
Building FileOps.o
Building TimeStamp.o
Building FileOpsImpl.o
Building TimeStampImpl.o
Building WaitImpl.o
Building ThreadImpl.o
Building LogImpl.o
Building MutexImpl.o
Building SerialControllerImpl.o
Building EventImpl.o
Building Options.o
Building Scene.o
Building Utils.o
Building Driver.o
Building ZWSecurity.o
Building Group.o
Building Node.o
Building Manager.o
Building Msg.o
Building Notification.o
Creating vers.cpp
Building vers.o
Linking Static Library
Linking Shared Library
Making ozw_config file
make[2]: Leaving directory '/opt/python-openzwave/openzwave/cpp/build'
CPPFLAGS= make -C /opt/python-openzwave/openzwave/cpp/examples/MinOZW/ -w
make[2]: Entering directory '/opt/python-openzwave/openzwave/cpp/examples/MinOZW'
Building Main.o
Linking /opt/python-openzwave/openzwave/.lib/MinOZW
g++   -o /opt/python-openzwave/openzwave/.lib/MinOZW /opt/python-openzwave/openzwave/.lib/Main.o /opt/python-openzwave/openzwave/libopenzwave.so -pthread
Creating Temporary Shell Launch Script
make[2]: Leaving directory '/opt/python-openzwave/openzwave/cpp/examples/MinOZW'
make[1]: Leaving directory '/opt/python-openzwave/openzwave'
python setup-lib.py build
running build
running build_ext
cythoning src-lib/libopenzwave/libopenzwave.pyx to src-lib/libopenzwave/libopenzwave.cpp
building 'libopenzwave' extension
creating build
creating build/temp.linux-armv7l-2.7
creating build/temp.linux-armv7l-2.7/src-lib
creating build/temp.linux-armv7l-2.7/src-lib/libopenzwave
arm-linux-gnueabihf-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -fno-strict-aliasing -D_FORTIFY_SOURCE=2 -g -fstack-protector-strong -Wformat -Werror=format-security -fPIC -DPY_SSIZE_T_CLEAN=1 -Iopenzwave/cpp/src/ -Iopenzwave/cpp/src/value_classes/ -Iopenzwave/cpp/src/platform/ -Iopenzwave/cpp/build/linux/ -I/usr/include/python2.7 -c src-lib/libopenzwave/libopenzwave.cpp -o build/temp.linux-armv7l-2.7/src-lib/libopenzwave/libopenzwave.o
cc1plus: warning: command line option '-Wstrict-prototypes' is valid for C/ObjC but not for C++
src-lib/libopenzwave/libopenzwave.cpp:3:0: warning: "PY_SSIZE_T_CLEAN" redefined
#define PY_SSIZE_T_CLEAN
^
<command-line>:0:0: note: this is the location of the previous definition
In file included from openzwave/cpp/src/aes/aescpp.h:26:0,
from openzwave/cpp/src/Driver.h:42,
from src-lib/libopenzwave/libopenzwave.cpp:249:
openzwave/cpp/src/aes/aes.h:75:0: warning: ignoring #pragma warning  [-Wunknown-pragmas]
#pragma warning( disable : 4324 )
^
openzwave/cpp/src/aes/aes.h:93:0: warning: ignoring #pragma warning  [-Wunknown-pragmas]
#pragma warning( default : 4324 )
^
src-lib/libopenzwave/libopenzwave.cpp: In function 'PyObject* __pyx_pf_12libopenzwave_9PyManager_268beginControllerCommand(__pyx_obj_12libopenzwave_PyManager*, PyObject*, PyObject*, PyObject*, PyObject*, PyObject*, PyObject*)':
src-lib/libopenzwave/libopenzwave.cpp:27543:204: warning: 'bool OpenZWave::Manager::BeginControllerCommand(uint32, OpenZWave::Driver::ControllerCommand, OpenZWave::Driver::pfnControllerCallback_t, void*, bool, uint8, uint8)' is deprecated (declared at openzwave/cpp/src/Manager.h:1731) [-Wdeprecated-declarations]
__pyx_t_6 = __Pyx_PyBool_FromLong(__pyx_v_self->manager->BeginControllerCommand(__pyx_t_1, __pyx_t_2, __pyx_f_12libopenzwave_ctrl_callback, ((void *)__pyx_v_pythonfunc), __pyx_t_3, __pyx_t_4, __pyx_t_5)); if (unlikely(!__pyx_t_6)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 4120; __pyx_clineno = __LINE__; goto __pyx_L1_error;}
^
src-lib/libopenzwave/libopenzwave.cpp:329:36: note: in definition of macro '__Pyx_PyBool_FromLong'
#define __Pyx_PyBool_FromLong(b) ((b) ? (Py_INCREF(Py_True), Py_True) : (Py_INCREF(Py_False), Py_False))
^
creating build/lib.linux-armv7l-2.7
c++ -pthread -shared -Wl,-O1 -Wl,-Bsymbolic-functions -Wl,-z,relro -fno-strict-aliasing -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -D_FORTIFY_SOURCE=2 -g -fstack-protector-strong -Wformat -Werror=format-security -Wl,-z,relro -D_FORTIFY_SOURCE=2 -g -fstack-protector-strong -Wformat -Werror=format-security build/temp.linux-armv7l-2.7/src-lib/libopenzwave/libopenzwave.o openzwave/libopenzwave.a -ludev -lstdc++ -o build/lib.linux-armv7l-2.7/libopenzwave.so
python setup-lib.py install
running install
running bdist_egg
running egg_info
creating src-lib/libopenzwave.egg-info
writing requirements to src-lib/libopenzwave.egg-info/requires.txt
writing src-lib/libopenzwave.egg-info/PKG-INFO
writing top-level names to src-lib/libopenzwave.egg-info/top_level.txt
writing dependency_links to src-lib/libopenzwave.egg-info/dependency_links.txt
writing manifest file 'src-lib/libopenzwave.egg-info/SOURCES.txt'
reading manifest file 'src-lib/libopenzwave.egg-info/SOURCES.txt'
writing manifest file 'src-lib/libopenzwave.egg-info/SOURCES.txt'
installing library code to build/bdist.linux-armv7l/egg
running install_lib
running build_ext
skipping 'src-lib/libopenzwave/libopenzwave.cpp' Cython extension (up-to-date)
creating build/bdist.linux-armv7l
creating build/bdist.linux-armv7l/egg
copying build/lib.linux-armv7l-2.7/libopenzwave.so -> build/bdist.linux-armv7l/egg
creating stub loader for libopenzwave.so
byte-compiling build/bdist.linux-armv7l/egg/libopenzwave.py to libopenzwave.pyc
installing package data to build/bdist.linux-armv7l/egg
running install_data
creating build/bdist.linux-armv7l/egg/config
creating build/bdist.linux-armv7l/egg/EGG-INFO
copying src-lib/libopenzwave.egg-info/PKG-INFO -> build/bdist.linux-armv7l/egg/EGG-INFO
copying src-lib/libopenzwave.egg-info/SOURCES.txt -> build/bdist.linux-armv7l/egg/EGG-INFO
copying src-lib/libopenzwave.egg-info/dependency_links.txt -> build/bdist.linux-armv7l/egg/EGG-INFO
copying src-lib/libopenzwave.egg-info/not-zip-safe -> build/bdist.linux-armv7l/egg/EGG-INFO
copying src-lib/libopenzwave.egg-info/requires.txt -> build/bdist.linux-armv7l/egg/EGG-INFO
copying src-lib/libopenzwave.egg-info/top_level.txt -> build/bdist.linux-armv7l/egg/EGG-INFO
writing build/bdist.linux-armv7l/egg/EGG-INFO/native_libs.txt
creating dist
creating 'dist/libopenzwave-0.3.1-py2.7-linux-armv7l.egg' and adding 'build/bdist.linux-armv7l/egg' to it
removing 'build/bdist.linux-armv7l/egg' (and everything under it)
Processing libopenzwave-0.3.1-py2.7-linux-armv7l.egg
creating /usr/local/lib/python2.7/dist-packages/libopenzwave-0.3.1-py2.7-linux-armv7l.egg
Extracting libopenzwave-0.3.1-py2.7-linux-armv7l.egg to /usr/local/lib/python2.7/dist-packages
Adding libopenzwave 0.3.1 to easy-install.pth file
Installed /usr/local/lib/python2.7/dist-packages/libopenzwave-0.3.1-py2.7-linux-armv7l.egg
Processing dependencies for libopenzwave==0.3.1
Searching for six==1.8.0
Best match: six 1.8.0
Adding six 1.8.0 to easy-install.pth file
Using /usr/lib/python2.7/dist-packages
Finished processing dependencies for libopenzwave==0.3.1
Installation of lib finished.
python setup-api.py install
running install
running bdist_egg
running egg_info
creating src-api/openzwave.egg-info
writing requirements to src-api/openzwave.egg-info/requires.txt
writing src-api/openzwave.egg-info/PKG-INFO
writing top-level names to src-api/openzwave.egg-info/top_level.txt
writing dependency_links to src-api/openzwave.egg-info/dependency_links.txt
writing manifest file 'src-api/openzwave.egg-info/SOURCES.txt'
reading manifest file 'src-api/openzwave.egg-info/SOURCES.txt'
writing manifest file 'src-api/openzwave.egg-info/SOURCES.txt'
installing library code to build/bdist.linux-armv7l/egg
running install_lib
running build_py
creating build/lib.linux-armv7l-2.7/openzwave
copying src-api/openzwave/option.py -> build/lib.linux-armv7l-2.7/openzwave
copying src-api/openzwave/value.py -> build/lib.linux-armv7l-2.7/openzwave
copying src-api/openzwave/singleton.py -> build/lib.linux-armv7l-2.7/openzwave
copying src-api/openzwave/scene.py -> build/lib.linux-armv7l-2.7/openzwave
copying src-api/openzwave/controller.py -> build/lib.linux-armv7l-2.7/openzwave
copying src-api/openzwave/object.py -> build/lib.linux-armv7l-2.7/openzwave
copying src-api/openzwave/command.py -> build/lib.linux-armv7l-2.7/openzwave
copying src-api/openzwave/__init__.py -> build/lib.linux-armv7l-2.7/openzwave
copying src-api/openzwave/network.py -> build/lib.linux-armv7l-2.7/openzwave
copying src-api/openzwave/node.py -> build/lib.linux-armv7l-2.7/openzwave
copying src-api/openzwave/group.py -> build/lib.linux-armv7l-2.7/openzwave
creating build/bdist.linux-armv7l/egg
copying build/lib.linux-armv7l-2.7/libopenzwave.so -> build/bdist.linux-armv7l/egg
creating build/bdist.linux-armv7l/egg/openzwave
copying build/lib.linux-armv7l-2.7/openzwave/option.py -> build/bdist.linux-armv7l/egg/openzwave
copying build/lib.linux-armv7l-2.7/openzwave/value.py -> build/bdist.linux-armv7l/egg/openzwave
copying build/lib.linux-armv7l-2.7/openzwave/singleton.py -> build/bdist.linux-armv7l/egg/openzwave
copying build/lib.linux-armv7l-2.7/openzwave/scene.py -> build/bdist.linux-armv7l/egg/openzwave
copying build/lib.linux-armv7l-2.7/openzwave/controller.py -> build/bdist.linux-armv7l/egg/openzwave
copying build/lib.linux-armv7l-2.7/openzwave/object.py -> build/bdist.linux-armv7l/egg/openzwave
copying build/lib.linux-armv7l-2.7/openzwave/command.py -> build/bdist.linux-armv7l/egg/openzwave
copying build/lib.linux-armv7l-2.7/openzwave/__init__.py -> build/bdist.linux-armv7l/egg/openzwave
copying build/lib.linux-armv7l-2.7/openzwave/network.py -> build/bdist.linux-armv7l/egg/openzwave
copying build/lib.linux-armv7l-2.7/openzwave/node.py -> build/bdist.linux-armv7l/egg/openzwave
copying build/lib.linux-armv7l-2.7/openzwave/group.py -> build/bdist.linux-armv7l/egg/openzwave
byte-compiling build/bdist.linux-armv7l/egg/openzwave/option.py to option.pyc
byte-compiling build/bdist.linux-armv7l/egg/openzwave/value.py to value.pyc
byte-compiling build/bdist.linux-armv7l/egg/openzwave/singleton.py to singleton.pyc
byte-compiling build/bdist.linux-armv7l/egg/openzwave/scene.py to scene.pyc
byte-compiling build/bdist.linux-armv7l/egg/openzwave/controller.py to controller.pyc
byte-compiling build/bdist.linux-armv7l/egg/openzwave/object.py to object.pyc
byte-compiling build/bdist.linux-armv7l/egg/openzwave/command.py to command.pyc
byte-compiling build/bdist.linux-armv7l/egg/openzwave/__init__.py to __init__.pyc
byte-compiling build/bdist.linux-armv7l/egg/openzwave/network.py to network.pyc
byte-compiling build/bdist.linux-armv7l/egg/openzwave/node.py to node.pyc
byte-compiling build/bdist.linux-armv7l/egg/openzwave/group.py to group.pyc
creating build/bdist.linux-armv7l/egg/EGG-INFO
copying src-api/openzwave.egg-info/PKG-INFO -> build/bdist.linux-armv7l/egg/EGG-INFO
copying src-api/openzwave.egg-info/SOURCES.txt -> build/bdist.linux-armv7l/egg/EGG-INFO
copying src-api/openzwave.egg-info/dependency_links.txt -> build/bdist.linux-armv7l/egg/EGG-INFO
copying src-api/openzwave.egg-info/not-zip-safe -> build/bdist.linux-armv7l/egg/EGG-INFO
copying src-api/openzwave.egg-info/requires.txt -> build/bdist.linux-armv7l/egg/EGG-INFO
copying src-api/openzwave.egg-info/top_level.txt -> build/bdist.linux-armv7l/egg/EGG-INFO
writing build/bdist.linux-armv7l/egg/EGG-INFO/native_libs.txt
creating 'dist/openzwave-0.3.1-py2.7.egg' and adding 'build/bdist.linux-armv7l/egg' to it
removing 'build/bdist.linux-armv7l/egg' (and everything under it)
Processing openzwave-0.3.1-py2.7.egg
creating /usr/local/lib/python2.7/dist-packages/openzwave-0.3.1-py2.7.egg
Extracting openzwave-0.3.1-py2.7.egg to /usr/local/lib/python2.7/dist-packages
Adding openzwave 0.3.1 to easy-install.pth file
Installed /usr/local/lib/python2.7/dist-packages/openzwave-0.3.1-py2.7.egg
Processing dependencies for openzwave==0.3.1
Searching for libopenzwave==0.3.1
Best match: libopenzwave 0.3.1
Processing libopenzwave-0.3.1-py2.7-linux-armv7l.egg
libopenzwave 0.3.1 is already the active version in easy-install.pth
Using /usr/local/lib/python2.7/dist-packages/libopenzwave-0.3.1-py2.7-linux-armv7l.egg
Searching for Louie==1.1
Best match: Louie 1.1
Louie 1.1 is already the active version in easy-install.pth
Using /usr/lib/python2.7/dist-packages
Searching for six==1.8.0
Best match: six 1.8.0
six 1.8.0 is already the active version in easy-install.pth
Using /usr/lib/python2.7/dist-packages
Searching for nose==1.3.4
Best match: nose 1.3.4
nose 1.3.4 is already the active version in easy-install.pth
Installing nosetests script to /usr/local/bin
Installing nosetests-2.7 script to /usr/local/bin
Using /usr/lib/python2.7/dist-packages
Finished processing dependencies for openzwave==0.3.1
Installation of API finished.
Created symlink from /etc/systemd/system/serial-getty@ttymxc0.service to /dev/null.
Everything is successfully installed!
mais ca ne demarre toujours pas

Log Zwave

Code : Tout sélectionner

[2019-04-25 20:50:49][ERROR] : Attention je pense qu'il y a un soucis avec le démon que j'ai relancé plus de 3 fois consecutivement
Traceback (most recent call last):
File "/var/www/html/plugins/openzwave/core/class/../../resources/openzwaved/openzwaved.py", line 18, in <module>
from ozwave import globals,server_utils,rest_server
File "/var/www/html/plugins/openzwave/resources/openzwaved/ozwave/globals.py", line 1, in <module>
import utils,network_utils,controller_utils,node_utils
File "/var/www/html/plugins/openzwave/resources/openzwaved/ozwave/utils.py", line 6, in <module>
import network_utils
File "/var/www/html/plugins/openzwave/resources/openzwaved/ozwave/network_utils.py", line 5, in <module>
import globals,utils,dispatcher_utils,serialization,node_utils
File "/var/www/html/plugins/openzwave/resources/openzwaved/ozwave/dispatcher_utils.py", line 8, in <module>
print(globals.MSG_CHECK_DEPENDENCY, 'error')
AttributeError: 'module' object has no attribute 'MSG_CHECK_DEPENDENCY'
[2019-04-25 20:51:26][ERROR] : Impossible de lancer le démon openzwave, relancer le démon en debug et vérifiez la log
[2019-04-25 20:55:17][ERROR] : Attention je pense qu'il y a un soucis avec le démon que j'ai relancé plus de 3 fois consecutivement
Traceback (most recent call last):
File "/var/www/html/plugins/openzwave/core/class/../../resources/openzwaved/openzwaved.py", line 18, in <module>
from ozwave import globals,server_utils,rest_server
File "/var/www/html/plugins/openzwave/resources/openzwaved/ozwave/globals.py", line 1, in <module>
import utils,network_utils,controller_utils,node_utils
File "/var/www/html/plugins/openzwave/resources/openzwaved/ozwave/utils.py", line 6, in <module>
import network_utils
File "/var/www/html/plugins/openzwave/resources/openzwaved/ozwave/network_utils.py", line 5, in <module>
import globals,utils,dispatcher_utils,serialization,node_utils
File "/var/www/html/plugins/openzwave/resources/openzwaved/ozwave/dispatcher_utils.py", line 8, in <module>
print(globals.MSG_CHECK_DEPENDENCY, 'error')
AttributeError: 'module' object has no attribute 'MSG_CHECK_DEPENDENCY'
[2019-04-25 20:55:53][ERROR] : Impossible de lancer le démon openzwave, relancer le démon en debug et vérifiez la log
[2019-04-25 21:21:42][ERROR] : Attention je pense qu'il y a un soucis avec le démon que j'ai relancé plus de 3 fois consecutivement
('The dependency of openzwave plugin are not installed. Please check the plugin openzwave configuration page for instructions', 'error')
('Error: invalid syntax (web.py, line 205)', 'error')
[2019-04-25 21:22:16][ERROR] : Impossible de lancer le démon openzwave, relancer le démon en debug et vérifiez la log
[2019-04-25 21:25:15][ERROR] : Attention je pense qu'il y a un soucis avec le démon que j'ai relancé plus de 3 fois consecutivement
('The dependency of openzwave plugin are not installed. Please check the plugin openzwave configuration page for instructions', 'error')
('Error: invalid syntax (web.py, line 205)', 'error')
[2019-04-25 21:25:51][ERROR] : Impossible de lancer le démon openzwave, relancer le démon en debug et vérifiez la log
[2019-04-25 21:30:25][ERROR] : Attention je pense qu'il y a un soucis avec le démon que j'ai relancé plus de 3 fois consecutivement
('The dependency of openzwave plugin are not installed. Please check the plugin openzwave configuration page for instructions', 'error')
('Error: invalid syntax (web.py, line 205)', 'error')
[2019-04-25 21:31:03][ERROR] : Impossible de lancer le démon openzwave, relancer le démon en debug et vérifiez la log
[2019-04-25 21:35:15][ERROR] : Attention je pense qu'il y a un soucis avec le démon que j'ai relancé plus de 3 fois consecutivement
('The dependency of openzwave plugin are not installed. Please check the plugin openzwave configuration page for instructions', 'error')
('Error: invalid syntax (web.py, line 205)', 'error')
[2019-04-25 21:35:51][ERROR] : Impossible de lancer le démon openzwave, relancer le démon en debug et vérifiez la log
Faut il desinstaller-reinstaller le plugin Zwave pour voir? Si oui, vais perdre mes objets et tous les identifiants qui vont avec (auquel cas, hors de question, je ne vais pas recreer tous mes scenarios etc de zero)

Le message de la signature c'est en faisant un "sudo apt-get update" en SSH pour essayer de mettre a jour ce qu'il peut manquer. La j'ai eu a la fin

Code : Tout sélectionner

W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: https://repo.solid-build.xyz ./ Release: The following signatures were invalid: KEYEXPIRED 1508672008
et ca semble n'avoir rien mis a jour

J'ai ensuite fait

Code : Tout sélectionner

sudo curl https://repo.solid-build.xyz/debian/jessie/bsp-imx6/Release.key | sudo apt-key add –
mais j'ai toujours une erreur

Code : Tout sélectionner

Hit https://deb.nodesource.com jessie InRelease
Ign http://http.us.debian.org jessie InRelease
Ign http://httpredir.debian.org jessie InRelease
Get:1 https://deb.nodesource.com jessie/main Sources [762 B]
Hit http://security.debian.org jessie/updates InRelease
Hit http://httpredir.debian.org jessie-updates InRelease
Hit http://http.us.debian.org jessie Release.gpg
Hit http://httpredir.debian.org jessie Release.gpg
Get:2 https://repo.solid-build.xyz ./ InRelease [169 B]
Ign https://repo.solid-build.xyz ./ InRelease
Hit http://http.us.debian.org jessie Release
Hit http://httpredir.debian.org jessie Release
Hit https://repo.solid-build.xyz ./ Release.gpg
Hit https://repo.solid-build.xyz ./ Release
Get:3 https://deb.nodesource.com jessie/main armhf Packages [1,003 B]
Get:4 https://deb.nodesource.com jessie/main Translation-en_US [162 B]
Get:5 https://deb.nodesource.com jessie/main Translation-en [162 B]
Get:6 https://deb.nodesource.com jessie/main Translation-en_US [162 B]
Get:7 https://deb.nodesource.com jessie/main Translation-en [162 B]
Get:8 http://security.debian.org jessie/updates/main Sources [306 kB]
Get:9 https://deb.nodesource.com jessie/main Translation-en_US [162 B]
Get:10 https://deb.nodesource.com jessie/main Translation-en [162 B]
Get:11 https://deb.nodesource.com jessie/main Translation-en_US [162 B]
Get:12 https://deb.nodesource.com jessie/main Translation-en [162 B]
Get:13 https://deb.nodesource.com jessie/main Translation-en_US [162 B]
Ign https://deb.nodesource.com jessie/main Translation-en_US
Get:14 https://deb.nodesource.com jessie/main Translation-en [162 B]
Ign https://deb.nodesource.com jessie/main Translation-en
Get:15 http://security.debian.org jessie/updates/main armhf Packages [638 kB]
Get:16 http://security.debian.org jessie/updates/main Translation-en [335 kB]
Hit http://http.us.debian.org jessie/non-free armhf Packages
Get:17 https://repo.solid-build.xyz ./ Sources [24.3 kB]
Get:18 https://repo.solid-build.xyz ./ Packages [53.7 kB]
Hit http://http.us.debian.org jessie/non-free Translation-en
Get:19 https://repo.solid-build.xyz ./ Translation-en_US [169 B]
Get:20 https://repo.solid-build.xyz ./ Translation-en [169 B]
Get:21 https://repo.solid-build.xyz ./ Translation-en_US [169 B]
Get:22 https://repo.solid-build.xyz ./ Translation-en [169 B]
Get:23 https://repo.solid-build.xyz ./ Translation-en_US [169 B]
Get:24 https://repo.solid-build.xyz ./ Translation-en [169 B]
Get:25 https://repo.solid-build.xyz ./ Translation-en_US [169 B]
Get:26 https://repo.solid-build.xyz ./ Translation-en [169 B]
Get:27 https://repo.solid-build.xyz ./ Translation-en_US [169 B]
Ign https://repo.solid-build.xyz ./ Translation-en_US
Get:28 https://repo.solid-build.xyz ./ Translation-en [169 B]
Ign https://repo.solid-build.xyz ./ Translation-en
Get:29 http://httpredir.debian.org jessie/main Sources [7,063 kB]
Get:30 http://httpredir.debian.org jessie/main armhf Packages [6,675 kB]
Get:31 http://httpredir.debian.org jessie/main Translation-en [4,581 kB]
Fetched 79.8 kB in 58s (1,358 B/s)
W: Failed to fetch http://httpredir.debian.org/debian/dists/jessie-updates/InRelease  Unable to find expected entry 'main/source/Sources' in Release file (Wrong sources.list entry or malformed file)

E: Some index files failed to download. They have been ignored, or old ones used instead.
Et idem ca ne met rien a jour...

Avatar de l’utilisateur
bronche
Modérateur
Messages : 973
Inscription : 07 janv. 2016, 19:29
Localisation : Du côté de Issy les Moulineaux la semaine et de Péronne le week-end...

Re: Tuto Mini plus sur SSD

Message par bronche » 27 avr. 2019, 11:14

C'est probablement un problème sur ta version de python.
Fais moi un MP.
Donne moi la main sur ta machine.
Je vais regarder
Phil
Helper Officiel Jeedom
Des images non officielles jeedom maintenues et hébergées par mes soins :
https://queen.useed.fr/SB1268/owncloud/ ... mA9xeSgBgx

jpg001
Timide
Messages : 129
Inscription : 28 août 2016, 22:44

Re: Tuto Mini plus sur SSD

Message par jpg001 » 27 avr. 2019, 16:49

Je viens de ressortir ma mini + , gravure de mon image jessie. Installation du plugin Zwave et ensuite restauration.
Là tu vas trop vite pour moi. Quand j'installe ma sauvegarde, zwave est déjà installé sur celle ci et avec mes équipements zwave. Je n'ai pas envie de supprimer zwave et perdre ceux ci.

Mes autres plugins fonctionnent sauf un mais avec un problème existant préalablement;

Si besoin j'accepte de te laisser la main.

Merci.

PHDB
Timide
Messages : 298
Inscription : 01 mars 2016, 13:42

Re: Tuto Mini plus sur SSD

Message par PHDB » 28 avr. 2019, 18:36

Bon je donne le resultat des investigations de bronche ce week end sur ma Mini+: il a tout tente (y compris de repartir sur Stretch), rien n'y fait, pas moyen de faire marcher Zwave avec la Mini+ et le SSD. Un grand merci pour tes efforts (meme si infructueux au final) bronche.

Donc je repars sur mon image sur ma carte SD sans SSD pour le moment, quitte a re-essayer avec un Pi et stretch dans quelque temps pour reutiliser mon SSD qui ne me sert a rien :)

@jpg001 si tu as le meme souci que moi, je te conseille de faire pareil...

Répondre

Revenir vers « La box JEEDOM MINI+ »

Qui est en ligne ?

Utilisateurs parcourant ce forum : Aucun utilisateur inscrit et 1 invité